#include<iostream>
#include<iomanip>
#include<time.h>

using namespace std;

void displayList(int A[], int length){
	for (int i = 0; i < length; i++)
	{
		cout << A[i] << endl;
	}
}
void reverseList(int A[], int length){
	for (int i = 0; i < length/2; i++)
	{
		int temp = A[i];
		A[i] = A[length - 1 - i];
		A[length - 1 - i] = temp;
	}
}

void bubbleSort(int A[], int length)
{
	for (int i = 0; i < length - 1; i++)
	{
		for (int j = 1; j < length - i; j++)
		{
			if (A[j - 1] > A[j])
			{
				int temp = A[j - 1];
				A[j - 1] = A[j];
				A[j] = temp;
			}
		}
	}
}

void sort(int A[], int length)
{
	for (int i = 0; i < length-1; i++)
	{
		int indexOfLargestItem = 0;
		for (int j = 1; j < length - i; j++)
		{
			if (A[j] > A[indexOfLargestItem])
			{
				indexOfLargestItem = j;
			}
		}
		//swap the value at indexOfLargestItem with the end of the unsorted part of the list
		int temp = A[indexOfLargestItem];
		A[indexOfLargestItem] = A[length - 1 - i];
		A[length - 1 - i] = temp;
	}
}

void main(){
	srand(time(NULL));
	const int SIZE = 1000;
	int A[SIZE];
	
	for (int i = 0; i < 10; i++)
	{
		A[i] = rand();
	}
	displayList(A, 10);
	cout << endl;
	bubbleSort(A, 10);
	displayList(A, 10);
	cout << endl;
	reverseList(A, 10);
	displayList(A,10);
	cout << endl;

}
